Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - onlyLinuxLuvUBack

Pages: [1]
1
GeeXLab - english forum / Re: MadView3D 0.3.x released
« on: September 08, 2018, 05:37:29 AM »
For amd people you need to do:
on  ubuntu 18.04.1: with xfce desktop:
sudo add-apt-repository ppa:oibaf/graphics-drivers
sudo apt update
sudo apt upgrade
sudo apt install libvulkan1 mesa-vulkan-drivers vulkan-utils

then set vars before running:

$ MESA_GL_VERSION_OVERRIDE=3.2 MESA_GLSL_VERSION_OVERRIDE=150 ./MadView3D






2
GeeXLab - english forum / help! .... Re: MadView3D 0.3.x released
« on: September 07, 2018, 06:29:05 PM »
What do I need to do to solve everything is black(any objects load all black)?

09:21:02(0000001)   [info ]   GeeXLab v0.25.3.0 (Jun 17 2018@09:53:06)
09:21:02(0000002)   [info ]   Cross-platform tool for real-time 3D programming and demo coding
09:21:02(0000003)   [info ]   (C)2009-2018 Geeks3D (www.geeks3d.com)
09:21:02(0000004)   [info ]   Homepage: http://www.geexlab.com
09:21:02(0000005)   [info ]   GeeXLab is starting up...
09:21:02(0000006)   [info ]   GeeXLab is launched with admin (root) rights.
09:21:02(0000007)   [info ]   [SQLite3] SQLite3 version 3.24.0 - initialization ok.
09:21:02(0000008)   [info ]   GraphX Core 0.29.16.0 (codename: Hawking) initialization ok.
09:21:02(0000009)   [info ]   GeeXLab home directory: /home/pmcuser1/Downloads/mad_view_gltf_/MadView3D_linux64/
09:21:02(0000010)   [info ]   HW platform type: PC
09:21:02(0000011)   [info ]   Linux information:
09:21:02(0000012)   [info ]   - sysname: Linux
09:21:02(0000013)   [info ]   - release: 4.15.0-33-generic
09:21:02(0000014)   [info ]   - version: #36-Ubuntu SMP Wed Aug 15 16:00:05 UTC 2018
09:21:02(0000015)   [info ]   - machine: x86_64
09:21:02(0000016)   [info ]   SW platform type: Linux 4.15.0-33-generic 64-bit
09:21:02(0000017)   [info ]   Command line: ./MadView3D /demofile="_src/main.xml"
09:21:02(0000018)   [info ]   Plugins search path: /home/pmcuser1/Downloads/mad_view_gltf_/MadView3D_linux64//dylibs/;
09:21:02(0000019)   [info ]    checking for OpenCL support...
09:21:02(0000020)   [info ]    OpenCL support not found: unable to load the OpenCL core library (libOpenCL.so).
09:21:03(0000021)   [info ]   [Assimp] ASSIMP 3D object loader plugin.
09:21:03(0000022)   [info ]   [Assimp] version: 4.1.0
09:21:03(0000023)   [info ]   [Assimp] supported 3D formats: *.3d;*.3ds;*.3mf;*.ac;*.ac3d;*.acc;*.amf;*.ase;*.ask;*.assbin;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.fbx;*.glb;*.gltf;*.hmp;*.ifc;*.ifczip;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.ogex;*.pk3;*.ply;*.pmx;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.sib;*.smd;*.stl;*.stp;*.ter;*.uc;*.vta;*.x;*.x3d;*.x3db;*.xgl;*.xml;*.zgl
09:21:03(0000024)   [info ]   [Assimp] initialization ok.
09:21:03(0000025)   [info ]   App directory: /home/pmcuser1/Downloads/mad_view_gltf_/MadView3D_linux64/
09:21:03(0000026)   [info ]   Scripting libs directory: /home/pmcuser1/Downloads/mad_view_gltf_/MadView3D_linux64/libs/
09:21:03(0000027)   [info ]   Command line: ./MadView3D /demofile="_src/main.xml"
09:21:03(0000028)   [info ]   =====================================================
09:21:03(0000029)   [info ]   DEMO: _src/main.xml
09:21:03(0000030)   [info ]   [Lua] Lua version: Lua 5.3.4
09:21:03(0000031)   [info ]   [Lua] LuaFileSystem initialized ok.
09:21:03(0000032)   [info ]   [Lua] LuaSocket core initialized ok.
09:21:03(0000033)   [info ]   [Lua] Mime core initialized ok.
09:21:03(0000034)   [info ]   [Lua] LuaSQL SQLite3 driver initialized ok.
09:21:03(0000035)   [info ]   [Lua] LuaGL initialized ok.
09:21:03(0000036)   [info ]   [Lua] initialization ok.
09:21:03(0000037)   [info ]   Current GeeXLab version is 0.25.3.0.
09:21:03(0000038)   [info ]   Scene file requires GeeXLab version
09:21:03(0000039)   [info ]   Display size: width=1920, height=1200
09:21:03(0000040)   [info ]   ...
09:21:03(0000041)   [info ]   [OpenGL] GLX version: 1.4
09:21:03(0000042)   [info ]   [OpenGL] GLX_VENDOR (srv): SGI
09:21:03(0000043)   [info ]   [OpenGL] GLX_VERSION (svr): 1.4
09:21:03(0000044)   [info ]   [OpenGL] GLX_VENDOR (client): Mesa Project and SGI
09:21:03(0000045)   [info ]   [OpenGL] GLX_VERSION (client): 1.4
09:21:03(0000046)   [info ]   [OpenGL] GLX_RENDERER_VENDOR_ID_MESA: 4098
09:21:03(0000047)   [info ]   [OpenGL] GLX_RENDERER_DEVICE_ID_MESA: 26936
09:21:03(0000048)   [info ]   [OpenGL] GLX_RENDERER_VERSION_MESA: 18.0.5
09:21:03(0000049)   [info ]   [OpenGL] GLX_RENDERER_ACCELERATED_MESA: 1
09:21:03(0000050)   [info ]   [OpenGL] GLX_RENDERER_VIDEO_MEMORY_MESA: 4071 MB
09:21:03(0000051)   [info ]   [OpenGL] GLX_RENDERER_UNIFIED_MEMORY_ARCHITECTURE_MESA: NO
09:21:03(0000052)   [info ]   [OpenGL] GLX_RENDERER_VENDOR_ID_MESA: X.Org
09:21:03(0000053)   [info ]   [OpenGL] GLX_RENDERER_DEVICE_ID_MESA: AMD Radeon (TM) R9 380 Series (TONGA / DRM 3.23.0 / 4.15.0-33-generic, LLVM 6.0.0)
09:21:03(0000054)   [info ]   MadView3D - demo started with an OpenGL 3.0 context.
09:21:03(0000055)   [info ]   Quick OpenGL information (use /glinfo for more limits):
09:21:03(0000056)   [info ]   GL_RENDERER: AMD Radeon (TM) R9 380 Series (TONGA / DRM 3.23.0 / 4.15.0-33-generic, LLVM 6.0.0)
09:21:03(0000057)   [info ]   GL_VENDOR: X.Org
09:21:03(0000058)   [info ]   GL_VERSION: 3.0 Mesa 18.0.5
09:21:03(0000059)   [info ]   GL_SHADING_LANGUAGE_VERSION: 1.30
09:21:03(0000060)   [info ]   OpenGL version detected: 3.0
09:21:03(0000061)   [info ]   OpenGL extensions: 255
09:21:03(0000062)   [info ]   OpenGL hardware limits:
09:21:03(0000063)   [info ]     GL_MAX_VERTEX_ATTRIBS: 16
09:21:03(0000064)   [info ]     GL_MAX_VERTEX_UNIFORM_COMPONENTS: 16384
09:21:03(0000065)   [info ]     GL_MAX_FRAGMENT_UNIFORM_COMPONENTS: 16384
09:21:03(0000066)   [info ]     GL_MAX_VARYING_FLOATS: 128
09:21:03(0000067)   [info ]     GL_MAX_TEXTURE_SIZE: 16384
09:21:03(0000068)   [info ]     GL_MAX_VIEWPORT_DIMS: 16384 16384
09:21:03(0000069)   [info ]     GL_MAX_TEXTURE_IMAGE_UNITS: 32
09:21:03(0000070)   [info ]     GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS: 192
09:21:03(0000071)   [info ]   Render window (MadView3D) initialized (renderer type: OpenGL)
09:21:03(0000072)   [info ]   Scene compilation: SUCCESS.
09:21:03(0000073)   [warn ]   GPU program color_prog - Vertex shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000074)   [error]   GPU program color_prog - Vertex shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000075)   [warn ]   GPU program color_prog - Pixel shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000076)   [error]   GPU program color_prog - Pixel shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000077)   [warn ]   GPU program phong_prog - Vertex shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000078)   [error]   GPU program phong_prog - Vertex shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000079)   [warn ]   GPU program phong_prog - Pixel shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000080)   [error]   GPU program phong_prog - Pixel shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000081)   [warn ]   GPU program phong_tex_prog - Vertex shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000082)   [error]   GPU program phong_tex_prog - Vertex shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000083)   [warn ]   GPU program phong_tex_prog - Pixel shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000084)   [error]   GPU program phong_tex_prog - Pixel shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000085)   [warn ]   GPU program sphere_env_mapping_prog - Vertex shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000086)   [error]   GPU program sphere_env_mapping_prog - Vertex shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000087)   [warn ]   GPU program sphere_env_mapping_prog - Pixel shader info log: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:03(0000088)   [error]   GPU program sphere_env_mapping_prog - Pixel shader error: 0:1(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:04(0000089)   [info ]   is_3d_object() - extension: .gltf
09:21:04(0000090)   [info ]   is_3d_object() - extension: .gltf is a supported 3D format
09:21:04(0000091)   [info ]   scripts INIT execution: OK.
09:21:04(0000092)   [info ]   [Assimp] build_material - glTF.002[80] - ref counter: 1
09:21:04(0000093)   [info ]   [Assimp] build_material - glTF.002[80] - texture: glTF.002_baseColor.png
09:21:04(0000094)   [info ]   [Assimp] mesh: glTF_Nov14.007_CUCurve.012[81] - material: glTF.002[80] added (ref counter: 2)
09:21:04(0000095)   [info ]     -- child name: glTF_Nov14.007_CUCurve.012_81.0 (parent: Model)
09:21:04(0000096)   [info ]     -- # of materials: 1.0
09:21:04(0000097)   [info ]     --   - material- id: 80.0 -name: glTF.002
09:21:04(0000098)   [info ]   Material glTF.002: texture 0 (_src/../samples_3d_objects/gltf_model/glTF.002_baseColor.png) loaded ok.
09:21:04(0000099)   [info ]   Model size: <4.400 ; 2.303 ; 0.183>
09:21:04(0000100)   [info ]   Model center: <0.204 ; 0.493 ; 0.055>
09:21:04(0000101)   [info ]   Model radius: 0.000
09:21:04(0000102)   [info ]   Model size: <4.400 ; 2.303 ; 0.183>
09:21:04(0000103)   [info ]   Model center: <0.000 ; 0.000 ; 0.000>
09:21:04(0000104)   [info ]   Model radius: 0.000
09:21:04(0000105)   [warn ]   GPU program GPU_program_90 - Vertex shader info log: 0:2(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:04(0000106)   [error]   GPU program GPU_program_90 - Vertex shader error: 0:2(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:04(0000107)   [warn ]   GPU program GPU_program_90 - Pixel shader info log: 0:2(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:04(0000108)   [error]   GPU program GPU_program_90 - Pixel shader error: 0:2(10): error: GLSL 1.50 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

09:21:34(0000109)   [info ]   is_3d_object() - extension: .gltf
09:21:34(0000110)   [info ]   is_3d_object() - extension: .gltf is a supported 3D format

3
Geeks3D's GPU Tools / Re: GL-Z 0.4.0 released
« on: June 28, 2018, 08:43:05 AM »
Hello,

What is missing? I do not see the gui window showing gpu info...


I have ubuntu server with xfce desktop.
Blender 279 works fine.
Xonotic works fine too.

---------------------------------------------------------------------
 bash START_GLZ.sh                                                                                                                   │
sh: 1: aticonfig: not found                                                                                                                                                                   │
cat: /proc/ati/0/biosversion: No such file or directory                                                                                                                                       │
X Error of failed request:  GLXBadFBConfig                                                                                                                                                    │
  Major opcode of failed request:  154 (GLX)                                                                                                                                                  │
  Minor opcode of failed request:  34 ()                                                                                                                                                      │
  Serial number of failed request:  30                                                                                                                                                        │
  Current serial number in output stream:  29                             
----------------------------------------------------------------------
^^^ Then back to command prompt.

Also:
23:32:01(0000001)       [info ] GeeXLab v0.25.0.0 (Jun  2 2018@18:46:55)
23:32:01(0000002)       [info ] Cross-platform tool for real-time 3D programming and demo coding
23:32:01(0000003)       [info ] (C)2009-2018 Geeks3D (www.geeks3d.com)
23:32:01(0000004)       [info ] Homepage: http://www.geexlab.com
23:32:01(0000005)       [info ] GeeXLab is starting up...
23:32:01(0000006)       [info ] GeeXLab is launched with admin (root) rights.
23:32:01(0000007)       [info ] [SQLite3] SQLite3 version 3.22.0 - initialization ok.
23:32:01(0000008)       [info ] GraphX Core 0.29.14.0 (codename: Hawking) initialization ok.
23:32:01(0000009)       [info ] GeeXLab home directory: /home/pmcuser1/gl_z___/GLZ_linux64_0.4.0/
23:32:01(0000010)       [info ] HW platform type: PC
23:32:01(0000011)       [info ] Linux information:
23:32:01(0000012)       [info ] - sysname: Linux
23:32:01(0000013)       [info ] - release: 4.4.76-test-aacraid54013-kernel
23:32:01(0000014)       [info ] - version: #2 SMP Wed Aug 23 00:05:29 PDT 2017
23:32:01(0000015)       [info ] - machine: x86_64
23:32:01(0000016)       [info ] SW platform type: Linux 4.4.76-test-aacraid54013-kernel 64-bit
23:32:01(0000017)       [info ] Command line: ./GLZ /demofile="./glz_src/main_gl45.xml"
23:32:01(0000018)       [info ] Plugins search path: /home/pmcuser1/gl_z___/GLZ_linux64_0.4.0//dylibs/;
23:32:01(0000019)       [info ]  checking for OpenCL support...
23:32:01(0000020)       [info ]  OpenCL support not found: unable to load the OpenCL core library (libOpenCL.so).
23:32:01(0000021)       [info ] [GpuMonitor] GPU monitoring plugin for NVIDIA and AMD GPUs
23:32:01(0000022)       [info ] [GpuMonitor] Linux - CPU name: Intel(R) Xeon(R) CPU           E5620  @ 2.40GHz, CPU speed: 1596MHz, RAM: 7975MB
23:32:01(0000023)       [info ] [GpuMonitor] Operating system detected: Linux 4.4.76-test-aacraid54013-kernel 64-bit
23:32:01(0000024)       [info ] [GpuMonitor] Num GPUs found: 1
23:32:01(0000025)       [info ] [GpuMonitor] GPU0 - AMD Radeon R9 380X
23:32:01(0000026)       [info ] [GpuMonitor] GPU0 - PCI codes: 0x1002-0x6938
23:32:01(0000027)       [info ] [GpuMonitor] initialization ok.
23:32:01(0000028)       [info ] App directory: /home/pmcuser1/gl_z___/GLZ_linux64_0.4.0/
23:32:01(0000029)       [info ] Scripting libs directory: /home/pmcuser1/gl_z___/GLZ_linux64_0.4.0/libs/
23:32:01(0000030)       [info ] Command line: ./GLZ /demofile="./glz_src/main_gl45.xml"
23:32:01(0000031)       [info ] =========================================================================
23:32:01(0000032)       [info ] DEMO: ./glz_src/main_gl45.xml
23:32:01(0000033)       [info ] =========================================================================
23:32:01(0000034)       [info ] [Lua] Lua version: Lua 5.3.4
23:32:01(0000035)       [info ] [Lua] LuaFileSystem initialized ok.
23:32:01(0000036)       [info ] [Lua] LuaSocket core initialized ok.
23:32:01(0000037)       [info ] [Lua] Mime core initialized ok.
23:32:01(0000038)       [info ] [Lua] LuaSQL SQLite3 driver initialized ok.
23:32:01(0000039)       [info ] [Lua] LuaGL initialized ok.
23:32:01(0000040)       [info ] [Lua] initialization ok.
23:32:01(0000041)       [info ] Display size: width=1920, height=1200
23:32:01(0000042)       [info ] ...


Thanks !





Pages: [1]